package com.college.controller.common

import org.springframework.security.crypto.argon2.Argon2PasswordEncoder

fun encodePassword(password: String):String{
    val argon2PasswordEncoder = Argon2PasswordEncoder(16, 32, 1, 60000, 16)
    return argon2PasswordEncoder.encode(password)
}

fun matchPassword(password: String, hashedPassword: String): Boolean {
    val argon2PasswordEncoder = Argon2PasswordEncoder(16, 32, 1, 60000, 16)
    return argon2PasswordEncoder.matches(password, hashedPassword)
}