package com.college.di

import com.college.data.DbSettings
import com.college.data.repositorty.user.UserRepository
import com.college.data.repositorty.user.UserRepositoryImpl
import com.college.domain.usecase.UserUseCase
import org.koin.dsl.module

val myModule = module {
    single { DbSettings }
    single<UserRepository> { UserRepositoryImpl(get()) }
    single { UserUseCase(get()) }
}